Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.math.webservices
Class CurrencyConvertorLocator

    java.lang.Object
      org.apache.axis.client.Service
          com.knowgate.math.webservices.CurrencyConvertorLocator

All Implemented Interfaces:
  CurrencyConvertor

    public class CurrencyConvertorLocator

extends org.apache.axis.client.Service
implements CurrencyConvertor

Constructor Summary
`CurrencyConvertorLocator()`
`CurrencyConvertorLocator(org.apache.axis.EngineConfiguration config)`
`CurrencyConvertorLocator(java.lang.String wsdlLoc, javax.xml.namespace.QName sName)`

Method Summary
`CurrencyConvertorSoap_PortType` | `getCurrencyConvertorSoap()`
`CurrencyConvertorSoap_PortType` | `getCurrencyConvertorSoap(java.net.URL portAddress)`
`java.lang.String` | `getCurrencyConvertorSoapAddress()`
`java.lang.String` | `getCurrencyConvertorSoapWSDDServiceName()`
`java.rmi.Remote` | `getPort(java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.rmi.Remote` | `getPort(javax.xml.namespace.QName portName, java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.util.Iterator` | `getPorts()`
`javax.xml.namespace.QName` | `getServiceName()`
`void` | `setCurrencyConvertorSoapEndpointAddress(java.lang.String address)`
`void` | `setCurrencyConvertorSoapWSDDServiceName(java.lang.String name)`
`void` | `setEndpointAddress(javax.xml.namespace.QName portName, java.lang.String address)` Set the endpoint address for the specified port name.
`void` | `setEndpointAddress(java.lang.String portName, java.lang.String address)` Set the endpoint address for the specified port name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrencyConvertorLocator

    public CurrencyConvertorLocator()

### CurrencyConvertorLocator

    public CurrencyConvertorLocator(org.apache.axis.EngineConfiguration config)

### CurrencyConvertorLocator

    public CurrencyConvertorLocator(java.lang.String wsdlLoc,
                                    javax.xml.namespace.QName sName)
                             throws javax.xml.rpc.ServiceException

Throws:
  `javax.xml.rpc.ServiceException`

Method Detail

### getCurrencyConvertorSoapAddress

    public java.lang.String getCurrencyConvertorSoapAddress()

  Specified by:
    `getCurrencyConvertorSoapAddress` in interface `CurrencyConvertor`

### getCurrencyConvertorSoapWSDDServiceName

    public java.lang.String getCurrencyConvertorSoapWSDDServiceName()

### setCurrencyConvertorSoapWSDDServiceName

    public void setCurrencyConvertorSoapWSDDServiceName(java.lang.String name)

### getCurrencyConvertorSoap

    public CurrencyConvertorSoap_PortType getCurrencyConvertorSoap()
                                                            throws javax.xml.rpc.ServiceException

  Specified by:
    `getCurrencyConvertorSoap` in interface `CurrencyConvertor`
  Throws:
    `javax.xml.rpc.ServiceException`

### getCurrencyConvertorSoap

    public CurrencyConvertorSoap_PortType getCurrencyConvertorSoap(java.net.URL portAddress)
                                                            throws javax.xml.rpc.ServiceException

  Specified by:
    `getCurrencyConvertorSoap` in interface `CurrencyConvertor`
  Throws:
    `javax.xml.rpc.ServiceException`

### setCurrencyConvertorSoapEndpointAddress

    public void setCurrencyConvertorSoapEndpointAddress(java.lang.String address)

### getPort

    public java.rmi.Remote getPort(java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Throws:
    `javax.xml.rpc.ServiceException`

### getPort

    public java.rmi.Remote getPort(javax.xml.namespace.QName portName,
                                   java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Throws:
    `javax.xml.rpc.ServiceException`

### getServiceName

    public javax.xml.namespace.QName getServiceName()

### getPorts

    public java.util.Iterator getPorts()

### setEndpointAddress

    public void setEndpointAddress(java.lang.String portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

### setEndpointAddress

    public void setEndpointAddress(javax.xml.namespace.QName portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD